floskell-0.11.1: A flexible Haskell source code pretty printer

Safe Haskell | None
Language | Haskell2010

Floskell.Comments

Description

Comment handling.

Synopsis

- filterCommentLike :: [Text] -> ([Text], [Comment])
- annotateWithComments :: Traversable ast => ast SrcSpanInfo -> [Comment] -> ast NodeInfo

# Documentation

filterCommentLike :: [Text] -> ([Text], [Comment]) #

Remove comment-like blocks from input source, replacing them with blank likes to keep SrcSpan information intact.

annotateWithComments :: Traversable ast => ast SrcSpanInfo -> [Comment] -> ast NodeInfo #

Annotate the AST with comments.